%define subrel 1
Name:          jsr166-mirror
Version:       1.7.0
Release:       %mkrel 3
Summary:       Concurrency JSR-166
Group:         Development/Java
# http://openjdk.java.net/legal/gplv2+ce.html
License:       GPL+Classpath exception, Public Domain
Url:           http://xircles.codehaus.org/projects/jsr166-mirror

# http://gee.cs.oswego.edu/dl/concurrency-interest/
# http://gee.cs.oswego.edu/cgi-bin/viewcvs.cgi/jsr166/
# cvs -d :pserver:anonymous@gee.cs.oswego.edu/home/jsr166/jsr166 login
# cvs -d :pserver:anonymous@gee.cs.oswego.edu/home/jsr166/jsr166 export -r release-1_7_0 jsr166
# tar czf jsr166-1.7.0-src-cvs.tar.gz jsr166
Source0:       jsr166-1.7.0-src-cvs.tar.gz

Source1:       http://repository.codehaus.org/org/codehaus/jsr166-mirror/jsr166/1.7.0/jsr166-1.7.0.pom
Source2:       http://repository.codehaus.org/org/codehaus/jsr166-mirror/jsr166tck/1.7.0/jsr166tck-1.7.0.pom
Source3:       http://repository.codehaus.org/org/codehaus/jsr166-mirror/jsr166y/1.7.0/jsr166y-1.7.0.pom
Source4:       http://repository.codehaus.org/org/codehaus/jsr166-mirror/jsr166x/1.7.0/jsr166x-1.7.0.pom
Source5:       http://repository.codehaus.org/org/codehaus/jsr166-mirror/extra166y/1.7.0/extra166y-1.7.0.pom
# fix javadoc build
Patch0:        jsr166-1.7.0-GCDuringIteration.patch

# from http://repository.codehaus.org/org/codehaus/jsr166-mirror/*/1.7.0/*-1.7.0.jar
Source6:       jsr166-1.7.0-OSGi-MANIFEST.MF
Source7:       jsr166tck-1.7.0-OSGi-MANIFEST.MF
Source8:       jsr166x-1.7.0-OSGi-MANIFEST.MF
Source9:       jsr166y-1.7.0-OSGi-MANIFEST.MF
Source10:      extra166y-1.7.0-MANIFEST.MF

BuildRequires: java-1.7.0-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: junit4
BuildRequires: zip

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
This project has the sole purpose of being a mirror for Doug Lea’s CVS repository for JSR166 code that
he and collaborators develop, allowing the artefacts to be injected into the Codehaus repository and
thence the Maven repository.

Codehaus projects such as GPars (http://gpars.codehaus.org) depend on these artefacts.

See http://gee.cs.oswego.edu/dl/concurrency-interest/

%package -n jsr166
Group:         Development/Java
Summary:       Concurrency JSR-166
Requires:      jpackage-utils
Requires:      java

%description -n jsr166
The JSR proposes a set of medium-level utilities that provide functionality commonly needed in concurrent programs. .

%package -n jsr166tck
Group:         Development/Java
Summary:       JSR166 TCK
Requires:      jpackage-utils
Requires:      junit4
Requires:      java

%description -n jsr166tck
JSR166 TCK.

%package -n jsr166x
Group:         Development/Java
Summary:       %{name} for JDK6
Requires:      jpackage-utils
Requires:      java

%description -n jsr166x
Preliminary versions of Deques (double-ended queues) and
Navigable collections (concurrent sorted maps and sets)
that appear in JDK6 are separately available as package
jsr166x, which can be used with any Java5 JVM.

%package -n jsr166y
Group:         Development/Java
Summary:       %{name} for JDK7
Requires:      jpackage-utils
Requires:      java

%description -n jsr166y
Preliminary versions of classes that build upon those targeted for JDK7,
Includes a fine-grained parallel computation framework: ForkJoinTasks and
their related support classes provide a very efficient basis for obtaining
platform-independent parallel speed-ups of computation-intensive operations.

%package -n jsr166yextra
Group:         Development/Java
Summary:       Collections supporting parallel operations
Requires:      jpackage-utils
Requires:      java

%description -n jsr166yextra
Collections supporting parallel operations.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%package -n jsr166x-javadoc
Group:         Development/Java
Summary:       Javadoc for jsr166x
Requires:      jpackage-utils

%description -n jsr166x-javadoc
This package contains javadoc for jsr166x.

%package -n jsr166y-javadoc
Group:         Development/Java
Summary:       Javadoc for jsr166y
Requires:      jpackage-utils

%description -n jsr166y-javadoc
This package contains javadoc for jsr166y.

%prep
%setup -q -n jsr166

find . -type f \( -name "*.jar" -o -name "*.class" \) -delete
%patch0 -p0

%build

export JAVA_HOME=/usr/lib/jvm/java-1.7.0
export CLASSPATH=$(build-classpath junit4)
ant compile-tests  jar jsr166xjar jsr166yjar extra166yjar docs jsr166ydocs jsr166xdocs

(
  cd build
  (
    cd lib
    mkdir -p META-INF
    cp -p %SOURCE6 META-INF/MANIFEST.MF
    touch META-INF/MANIFEST.MF
    zip -u jsr166.jar META-INF/MANIFEST.MF
  )
  (
    cd testcases
    mkdir -p META-INF
    cp -p %SOURCE7 META-INF/MANIFEST.MF
    jar -cMf jsr166tck.jar *
  )
  (
    cd jsr166xlib
    mkdir -p META-INF
    cp -p %SOURCE8 META-INF/MANIFEST.MF
    touch META-INF/MANIFEST.MF
    zip -u jsr166x.jar META-INF/MANIFEST.MF
  )
  (
    cd jsr166ylib
    mkdir -p META-INF
    cp -p %SOURCE9 META-INF/MANIFEST.MF
    touch META-INF/MANIFEST.MF
    zip -u jsr166y.jar META-INF/MANIFEST.MF
  )
  (
    cd extra166ylib
    mkdir -p META-INF
    cp -p %SOURCE10 META-INF/MANIFEST.MF
    touch META-INF/MANIFEST.MF
    zip -u extra166y.jar META-INF/MANIFEST.MF
  )
)

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/%{name}

# jars
install -pm 644 build/lib/jsr166.jar %{buildroot}%{_javadir}/%{name}/
install -pm 644 build/testcases/jsr166tck.jar %{buildroot}%{_javadir}/%{name}/
install -pm 644 build/jsr166xlib/jsr166x.jar %{buildroot}%{_javadir}/%{name}/
install -pm 644 build/jsr166ylib/jsr166y.jar %{buildroot}%{_javadir}/%{name}/
install -pm 644 build/extra166ylib/extra166y.jar %{buildroot}%{_javadir}/%{name}/jsr166yextra.jar

# pom & depmap
mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP.%{name}-jsr166.pom
%add_maven_depmap -f jsr166 JPP.%{name}-jsr166.pom %{name}/jsr166.jar
install -pm 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP.%{name}-jsr166tck.pom
%add_maven_depmap -f jsr166tck JPP.%{name}-jsr166tck.pom %{name}/jsr166tck.jar
install -pm 644 %{SOURCE3} %{buildroot}%{_mavenpomdir}/JPP.%{name}-jsr166x.pom
%add_maven_depmap -f jsr166x JPP.%{name}-jsr166x.pom %{name}/jsr166x.jar
install -pm 644 %{SOURCE4} %{buildroot}%{_mavenpomdir}/JPP.%{name}-jsr166y.pom
%add_maven_depmap -f jsr166y JPP.%{name}-jsr166y.pom %{name}/jsr166y.jar
install -pm 644 %{SOURCE5} %{buildroot}%{_mavenpomdir}/JPP.%{name}-jsr166yextra.pom
%add_maven_depmap -f jsr166yextra JPP.%{name}-jsr166yextra.pom %{name}/jsr166yextra.jar

# javadocs
mkdir -p %{buildroot}%{_javadocdir}/%{name}
mkdir -p %{buildroot}%{_javadocdir}/jsr166x-mirror
mkdir -p %{buildroot}%{_javadocdir}/jsr166y-mirror
cp -pr build/javadocs/* %{buildroot}%{_javadocdir}/%{name}/
cp -pr build/jsr166xjavadocs/* %{buildroot}%{_javadocdir}/jsr166x-mirror/
cp -pr build/jsr166yjavadocs/* %{buildroot}%{_javadocdir}/jsr166y-mirror/

%files -n jsr166
%{_javadir}/%{name}/jsr166.jar
%{_mavendepmapfragdir}/%{name}-jsr166
%{_mavenpomdir}/JPP.%{name}-jsr166.pom

%files -n jsr166tck
%{_javadir}/%{name}/jsr166tck.jar
%{_mavendepmapfragdir}/%{name}-jsr166tck
%{_mavenpomdir}/JPP.%{name}-jsr166tck.pom

%files -n jsr166x
%{_javadir}/%{name}/jsr166x.jar
%{_mavendepmapfragdir}/%{name}-jsr166x
%{_mavenpomdir}/JPP.%{name}-jsr166x.pom

%files -n jsr166y
%{_javadir}/%{name}/jsr166y.jar
%{_mavenpomdir}/JPP.%{name}-jsr166y.pom
%{_mavendepmapfragdir}/%{name}-jsr166y

%files -n jsr166yextra
%{_javadir}/%{name}/jsr166yextra.jar
%{_mavendepmapfragdir}/%{name}-jsr166yextra
%{_mavenpomdir}/JPP.%{name}-jsr166yextra.pom

%files javadoc
%{_javadocdir}/%{name}

%files -n jsr166x-javadoc
%{_javadocdir}/jsr166x-mirror

%files -n jsr166y-javadoc
%{_javadocdir}/jsr166y-mirror


%changelog
* Sat May 16 2015 neoclust <neoclust> 1.7.0-3.1.mga4
+ Revision: 822164
- Remove old %%update_maven_depmap macro

* Fri Oct 18 2013 umeabot <umeabot> 1.7.0-3.mga4
+ Revision: 506468
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.7.0-2.mga3
+ Revision: 355640
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 08 2012 gil <gil> 1.7.0-1.mga2
+ Revision: 193207
- imported package jsr166-mirror

